<?php

class Alarm {
    
    // Nota: PHP no tiene soporte nativo para las enumeraciones    
    const TYPE_NIVEL = 1;
    const TYPE_TEMPER = 2;
    const TYPE_VERT = 3;
    const TYPE_MANTO = 4;
    
    private $type = 0;
    private $isActive = 0;
    
    public function __construct($type, $isActive) {
        if($type == self::TYPE_NIVEL || $type == self::TYPE_TEMPER || 
           $type == self::TYPE_VERT || $type == self::TYPE_MANTO) 
            {$this->type = $type; $this->isActive = $isActive;}   
    }

    public function getType()    { return $this->type; }
    public function getIsActive()  { return $this->isActive; }
    public function setIsActive($active) {$this->isActive = $active;}
    
}

class Alarms {  

    private $alarms = array();

    public function setAlarm($type, $isActive) {
        $alarm = new Alarm($type, $isActive);
        $this->alarms[$alarm->getType()] = $alarm;
    }

    public function getAlarm($type) {
        return $this->alarms[$type];
    }

    public function hasActiveAlarms() {
        foreach ($this->alarms as $alarm) {
            if ($alarm->getIsActive()) { return true; }
        }
        return false;
    }
}

?>