<?php

class EmailField {

    private $title;
    private $actual_value_text;
    private $set_value_text;
    private $name;
    private $actual_value = 0;  
    private $alarm_set_value = 0; 
    private $has_alarm = false;
    private $is_edge = false;

    public function __construct($title, $actual_value_text, $set_value_text,
            $actual_value, $alarm_set_value, $has_alarm, $is_edge) {
        $this->title = $title;
        $this->actual_value_text = $actual_value_text;
        $this->set_value_text = $set_value_text;
        $this->actual_value = $actual_value;
        $this->alarm_set_value = $alarm_set_value;
        $this->has_alarm = $has_alarm;
        $this->is_edge = $is_edge;
    }
    
    public function getTitle() { return $this->title; }
    public function actual_value_text() { return $this->actual_value_text; }
    public function set_value_text() { return $this->set_value_text; }
    public function getActualValue() { return $this->actual_value; }
    public function getAlarmSetValue() { return $this->alarm_set_value; }    
    public function getHasAlarm() { return $this->has_alarm; }
    public function getIsEdge() { return $this->is_edge; }
   
    public function getHTML() {
        
        $edge_mark = '';
        if($this->is_edge) {$edge_mark = '<<<';}

        if ($this->has_alarm) {$color_alarma = 'red';}
        else {$color_alarma = 'lime';}

        return 
        '<p style="font-size:18px; color:black;"><b><ins>' 
            . $this->title . ':</ins></b></p>

        <table border="0" style="width:100%">
            <tr>
                <td style="text-align:left; width:18%; font-weight:normal">'
                           . $this->actual_value_text . '</td>
                <td style="text-align:left; width:8%; font-weight:bold">'
                           . $this->actual_value . '</td>

                <td style="text-align:left; width:18%; font-weight:normal">'
                           . $this->set_value_text . '</td>
                <td style="text-align:left; width:8%; font-weight:bold">'
                           . $this->alarm_set_value . '</td>

                <td style="text-align:left; width:9%; font-weight:normal">
                           Alarma:</td>
                <td style="text-align:left; width:2%; font-weight:normal;
                           background-color:' . $color_alarma . '"></td>
                               
                <td style="text-align:left; width:2%; font-weight:normal"></td>
                <td style="text-align:left; width:2%; font-weight:bold">'
                       . $edge_mark . '</td>

                <td style="text-align:left; font-weight:normal"></td>
            </tr>
        </table> 

        <br>'; 
    }

}

class Email {
    
    private $email_fiels = array();
    private $contenedor_id = '';

    
    public function get_Contenedor_id() {return $this->contenedor_id;}
    
    public function get_Email_fiels() {return $this->email_fiels;}
    
    function __construct($contenedor_id) {
       $this->contenedor_id = $contenedor_id;
    }
    
    public function addField($title, $actual_value_text, $set_value_text, 
            $actual_value, $alarm_set_value, $has_alarm, $is_edge)
    {
        $email_fiel = new EmailField($title, $actual_value_text, $set_value_text, 
                $actual_value, $alarm_set_value, $has_alarm, $is_edge);
        $this->email_fiels[$email_fiel->getTitle()] = $email_fiel;
    }  
     
    public function get_HTML_Fields() {

        $html_str = '';
     
        foreach($this->email_fiels as $field){
            $html_str = $html_str . $field->getHTML(); 
        }
        
        return $html_str;
    }
    
    public function get_HTML_Header() {
        
         // contenedor que envía el estado de las alarmas
        $contenedor = get_container($this->contenedor_id);

        // modelo del contenedor
        $modelo = get_modelo($contenedor['modelo_id']);

        // tipo de residuos que contiene
        $residuo = get_residuo($contenedor['residuo_id']);

        // ubicación del contenedor
        $ubicacion = get_ubicacion($contenedor['ubicacion_id']);
      
        return         
      
        '<html>
            <body style="font-family: Arial, Helvetica, sans-serif; width: 760px; 
                         margin: 0 auto; padding: 0 2em; background-color: white; 
                         border: 0px solid black">

                <br><br>

                <h1 style="color: rgb(208, 133, 4)">Contenedor: ' .
                        $ubicacion['direccion'] . '. Matr&iacute;cula: ' .
                        $contenedor['matricula'] . '.
                </h1>

                <h2 style="color: black">Modelo: ' . $modelo['denominacion'] .
                    '. ' . $modelo['descripcion'] . 
                    '. Tipo de residuo: '. $residuo['denominacion'] . '.
                </h2>

                <hr>
                <br>';
    }   
    
    public function get_HTML_Footer() {
        
        // Fecha/hora de envio del mensaje que coincide con la última 
        // actualización de datos desde el módulo sensor
        $time = date('d/m/Y h:i:s a', time());
        
        return               
                '<br><hr><br>   

                <!--Fecha/Hora de última actualización-->

                <table border="0" style="width:100%">
                    <tr>
                        <td style="text-align:left; font-weight:normal; width:13%">
                                   Actualizado:</td>
                        <td style="text-align:left; font-weight:bold">' .
                                   $time . '</td>
                    </tr>
                </table> 

                <br>
                <hr>
                <br>

                <h3 style="color:graytext">Este e-mail se ha generado de forma autom&aacute;tica. 
                    Por favor, no responda al mismo.</h3>
            </body>
        </html>'; 
    }
}

?>
