<?php

// Obtiene el centro de trabajo por su identificador
function get_centro($centro_id) {
    global $db;
    $query = 'SELECT * FROM centros WHERE centro_id = :centro_id';    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':centro_id', $centro_id);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// Obtiene los centros de trabajo a los que tiene acceso el usuario
function get_centros($usuario_id) {
    global $db;
    $query = 'SELECT * 
             FROM centros C
             INNER JOIN centros_usuarios R ON C.centro_id = R.centro_id
             INNER JOIN usuarios U ON R.usuario_id = U.usuario_id
             WHERE U.usuario_id = :usuario_id 
             ORDER BY C.denominacion';         
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':usuario_id', $usuario_id);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
