<?php
// Obtiene la ubicacion por su identificador
function get_ubicacion($ubicacion_id) {
    global $db;
    $query = '
        SELECT * FROM ubicaciones WHERE ubicacion_id = :ubicacion_id';    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':ubicacion_id', $ubicacion_id);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// Obtiene todas las ubicaciones (islas de contenedores) de un centro
function get_ubicaciones_by_centro($centro_id) {
    global $db;
    $query = 'SELECT * FROM ubicaciones WHERE centro_id = :centro_id';   
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':centro_id', $centro_id);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>