<?php

require_once('../model/container_db.php');
require_once('../model/nivel_db.php');

// devuelve el valor del nivel en porcentaje a partir del dato pasado 
// como valor absoluto 
function nivel_abs_to_pc($contenedor_id, $nivel_abs) {
    
    $modelo = get_modelo_by_contenedor($contenedor_id);
    $modelo_altura_abs = $modelo['altura_util'] - $modelo['offset_sensor'];
    // la unidad sensora envia el vivel en KF con un decimal
    // (de ahí la división por 10)
    $percent = $nivel_abs / 10.0 / $modelo_altura_abs * 100.0; 
    
    return $percent;
}
       
// alarma de nivel? 0-no, 1-si
function is_activa_alarma_nivel($contenedor_id)
{
    $modelo_pc = get_modelo_by_contenedor($contenedor_id)['porcentaje_alarma_nivel'];
    $nivel_pc = (int)get_nivel($contenedor_id)['porcentaje'];    
    return ($nivel_pc > $modelo_pc);   
}

// alarma de temperatura? 0-no, 1-si
function is_activa_alarma_temper($contenedor_id)
{
    $alarma = get_container($contenedor_id)['alarma_temper'];
    if($alarma == null) {return 0;} // primer registro de la tabla (sin datos aún)
    return (bool)$alarma;
}

// alarma de verticalidad? 0-no, 1-si
function is_activa_alarma_vertic($contenedor_id)
{
    $alarma = get_container($contenedor_id)['alarma_vertical'];
    if($alarma == null) {return FALSE;} // primer registro de la tabla (sin datos aún)
    return (bool)$alarma;    
}

?>
