<?php
require_once('../../util/main.php');
require_once('model/admin_db.php');
require_once('model/fields.php');
require_once('model/validate.php');

$action = filter_input(INPUT_POST, 'action');
if (isset($_SESSION['admin'])) {
    if ($action == null) {
        $action = filter_input(INPUT_GET, 'action');   // $action = logout
        if($action == null) $action = logout;
    }
} elseif ($action == 'login') {
    $action = 'login';  // $action = login 
} else {
    $action = 'view_login'; // $action = view_login 
}

// Inicio de todos los posibles campos para validar
$validate = new Validate();
$fields = $validate->getFields();

// Para varias páginas
$fields->addField('email', 'Ha de ser un email valido.');
$fields->addField('password_1');
$fields->addField('password_2');
$fields->addField('first_name');
$fields->addField('last_name');

// Para la página de login
$fields->addField('password');

switch ($action) {
    
    case 'view_login':
        // Borrar datos de login
        $email = '';
        $password = '';
        $password_message = '';
        
        include 'account_login.php';
        break;
    
    case 'login':
        // Obtener username/password
        $email = filter_input(INPUT_POST, 'email');
        $password = filter_input(INPUT_POST, 'password');
        
        // Validar datos de usuario       
        $validate->email('email', $email);
        $validate->text('password', $password, true, 6, 30);        

        // Si error de validación, redisplay la página de login y salir del controlador
        if ($fields->hasErrors()) {
            include 'user/account/account_login.php';
            break;
        }
        
        // Chequear la base de datos. Si username/password son válidos, log in
        if (is_valid_admin_login($email, $password)) {
            $_SESSION['admin'] = get_admin_by_email($email);
        } else {
            $password_message = 'Fallo: email o password invalidos.';
            include 'user/account/account_login.php';
            break;
        }

        // Mostrar la página de listado de centros
        redirect("../?action=list_centros&centro_id=1");        
        break;
        
    case 'settings':

        // Mostrar la página de listado de modelos de contenedor para 
        // seleccionar el modelo para el que se editarán los ajustes
        redirect('../?action=list_modelos');
        break;
        
    case 'logout':
        unset($_SESSION['admin']);
        redirect($app_path . 'user/account');
        break;
    
    default:
        display_error('Accion desconocida en la cuenta de usuario: ' . $action);
        break;
}
?>