<?php

// Obtiene el directorio principal
$doc_root = filter_input(INPUT_SERVER, 'DOCUMENT_ROOT', FILTER_SANITIZE_STRING);

// Obtiene el path de la aplicación
$uri = filter_input(INPUT_SERVER, 'REQUEST_URI', FILTER_SANITIZE_STRING);
$dirs = explode('/', $uri);
$app_path = '/' . $dirs[1] . '/' . $dirs[2] . '/';

// Define el path para el include
set_include_path($doc_root . $app_path);

// Obtiene código común
require_once('tags.php');
require_once('model/database.php');

// Define algunas funciones comunes
function display_db_error($error_message) 
{
    global $app_path;
    include 'errors/db_error.php';
    exit;
}

function display_error($error_message) 
{
    global $app_path;
    include 'errors/error.php';
    exit;
}

function redirect($url) 
{
    session_write_close();
    header("Location: " . $url);
    exit;
}

// CRC-16 XModem polynomial. Equation: x^16 + x^12 + x^5 + 1.
function crc16($data, $initialCrc) 
{    
   for ($i = 0; $i < strlen($data); $i++)
   {
     $x = (($initialCrc >> 8) ^ ord($data[$i])) & 0xFF;
     $x ^= $x >> 4;
     $initialCrc = (($initialCrc << 8) ^ ($x << 12) ^ ($x << 5) ^ $x) & 0xFFFF;
   }
   return $initialCrc;    
}

// Inicia sesión de usuario (paso the $SESSION[] entre scrips)
session_start();

?>
