<?php
// Function para asegurar que el texto HTML solo se codifica una vez
function html_convert($text) {
    if ( htmlspecialchars_decode($text) == $text ) {
        return htmlspecialchars($text);
    } else {
        return $text;
    }
}

// Function para añadir algunos tags HTML al texto sin formato
function add_tags($text) {

    // Convierte caracteres 'return' a Unix 'new lines'
    $text = str_replace("\r\n", "\n", $text);  // Windows
    $text = str_replace("\r", "\n", $text);    // Mac

    // Obtiene una matriz de párrafos
    $paragraphs = explode("\n\n", $text);

    // Añade tags a cada párrafo
    $text = '';
    foreach($paragraphs as $p) {
        $p = ltrim($p);

        $first_char = substr($p, 0, 1);
        if ($first_char == '*') {
            // Añade <ul> and <li> tags
            $p = '<ul>' . $p . '</li></ul>';
            $p = str_replace("*", '<li>', $p);
            $p = str_replace("\n", '</li>', $p);
        } else {
            // Añade <p> tags
            $p = '<p>' . $p . '</p>';
        }
        $text .= $p;
    }

    return $text;
}

// Functión para quitar algunos tags HTML del texto
function remove_tags($text) {
    // Quita <ul> and <li> tags
    $text = str_replace('<ul>', '', $text);        // comienzo de lista
    $text = str_replace('</li></ul>', '', $text);  // fin de lista
    $text = str_replace('<li>', '*', $text);       // cada item

    // Quita <p> tags
    $text = str_replace('</p><p>', "\n\n", $text);
    $text = str_replace('<p>', '', $text);
    $text = str_replace('</p>', '', $text);
    return $text;
}
?>