/*****************************************************************************
 *   type.h:  Type definition Header file for NXP LPC17xx Family 
 *   Microprocessors
 *
 *   Copyright(C) 2009, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2009.05.25  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/

#include <stdint.h>

#ifndef __TYPE_H__
#define __TYPE_H__

#ifndef NULL
	#define NULL    ((void *)0)
#endif

#ifndef FALSE
	#define FALSE   (0)
#endif

#ifndef TRUE
	#define TRUE    (1)
#endif

//----------------------------

// Añadido: Miguel A. Fdez. 17-04-2016

#ifndef bool_t
	typedef uint8_t bool_t;
#endif

#ifndef M_PI
	#define M_PI  3.14159265358979323846 // PI
#endif

#ifndef ERROR
	#define ERROR   (-1)
#endif

#define   __I     volatile const       // Defines 'read only' permissions
#define   __O     volatile             // Defines 'write only' permissions
#define   __IO    volatile             // Defines 'read / write' permissions

//----------------------------

typedef enum {RESET = 0, SET = !RESET} FlagStatus, ITStatus;
typedef enum {DISABLE = 0, ENABLE = !DISABLE} FunctionalState;

#endif  /* __TYPE_H__ */
