
// --- file led.c ---

#include "LPC17xx.h"
#include "gpio.h"
#include "led.h"

void Led_ledInit(uint32_t ledPort, uint32_t ledBit) {

	// Inicia el GPIO del led
	GPIO_setDir(ledPort, ledBit, GPIO_OUTPUT);
}
/*-----------------------------------------------------------*/

void Led_ledOn(uint32_t ledPort, uint32_t ledBit) {

	// Enciende el led
	GPIO_setValue(ledPort, ledBit, TRUE);
}
/*-----------------------------------------------------------*/

void Led_ledOff(uint32_t ledPort, uint32_t ledBit) {

	// Apaga el led
	GPIO_setValue(ledPort, ledBit, FALSE);
}
/*-----------------------------------------------------------*/

void Led_ledToggle(uint32_t ledPort, uint32_t ledBit) {

	// Estado actual del led ?
	int32_t ledState = GPIO_getValue(ledPort, ledBit);

	// Apaga el led si está encendido y le enciende si está apagado
	ledState = ~ledState & 0x0001;
	GPIO_setValue(ledPort, ledBit, ledState);
}
/*-----------------------------------------------------------*/
