/*
 * AppConfig.h
 *
 *  Created on: 27/4/2016
 *      Author: Admin
 */

#ifndef APPCONFIG_H_
#define APPCONFIG_H_

/* Sistema */

// Intérvalo con el sistema en deep power-down (sleep)
#define POWER_DOWN_INTERVAL		   60   // segundos (máximo 86400 sgs = 24h)

/* Temperatura */

// Umbral de aumento de temperatura entre llamadas para activación de la alarma
#define TEMP_ALARM_THRESHOLD		2	 // ºC
// Umbral de reset de la alarma si ha dejado de subir la temperatura
#define TEMP_ALARM_DEACTIVATE    50.0 	// ºC

/* Verticalidad: */

// Ciclos de lectura necesarios con alarma activa para evitar validarla
// durante la descarga (ver memória)
#define VERT_CICLOS_ALARMA_ACTIVA	3
// Seno del ángulo que marca la pérdida de verticalidad.
// Lo definimos como una constante en lugar de calcularlo por programa
// a partir del ángulo, para ahorrar recursos.
#define VERT_SEN_ANGULO_ALARMA	0.707	// sen(45) = sen(135)

/* Nivel: */

// Diferencia de nivel entre dos ciclos para detectar la
// descarga del contenedor (centímetros)
#define NIVEL_DIFERENCIA_VALIDA_DESCARGA	50

#endif /* APPCONFIG_H_ */
